A B C D E F G I J L M O P R S T V

A

ActionMessagesTool - Class in org.apache.velocity.tools.struts
This tool deals with Struts action messages.
ActionMessagesTool() - Constructor for class org.apache.velocity.tools.struts.ActionMessagesTool
 
actionMsgs - Variable in class org.apache.velocity.tools.struts.ActionMessagesTool
A reference to the queued action messages.
app - Variable in class org.apache.velocity.tools.struts.ValidatorTool
A reference to the ServletContext
application - Variable in class org.apache.velocity.tools.struts.MessageResourcesTool
 
application - Variable in class org.apache.velocity.tools.struts.SecureLinkTool
 
application - Variable in class org.apache.velocity.tools.struts.StrutsLinkTool
 

B

bundle(String) - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
Returns a new TextKey with the specified resource bundle set.

C

catchExceptions - Variable in class org.apache.velocity.tools.struts.TilesTool
Indicates if there is a MethodExceptionEventHandler present
clearArgs() - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
This will return a new TextKey that has no arguments to be inserted into the text output.
computeURL(HttpServletRequest, ServletContext, String) - Method in class org.apache.velocity.tools.struts.SecureLinkTool
Compute a hyperlink URL based on the specified action link.
configure(Map) - Method in class org.apache.velocity.tools.struts.MessageResourcesTool
Initializes this tool.
configure(ValueParser) - Method in class org.apache.velocity.tools.struts.SecureLinkTool
 
configure(ValueParser) - Method in class org.apache.velocity.tools.struts.StrutsLinkTool
 
configure(Map) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Initializes this tool.
context - Variable in class org.apache.velocity.tools.struts.ValidatorTool
A reference to the ViewContext
contextStack - Variable in class org.apache.velocity.tools.struts.TilesTool
A stack to hold ComponentContexts while nested tile-definitions are rendered.
createActionList(ValidatorResources, Form) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Get List of actions for the given Form.
createMethods(List) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Creates the JavaScript methods list from the given actions.

D

doInsert(String, String, Controller) - Method in class org.apache.velocity.tools.struts.TilesTool
Use this if there is no nested tile.
doInsert(Map, String, String, Controller) - Method in class org.apache.velocity.tools.struts.TilesTool
Use this if there is a nested tile.
doInsert(ComponentContext, String, String, Controller) - Method in class org.apache.velocity.tools.struts.TilesTool
An extension of the other two doInsert functions

E

errorMarkup(String, HttpServletRequest, HttpSession, ServletContext) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns a formatted error message.
errorMarkup(String, String, HttpServletRequest, HttpSession, ServletContext) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns a formatted error message.
ErrorsTool - Class in org.apache.velocity.tools.struts
This tool deals with Struts error messages.
ErrorsTool() - Constructor for class org.apache.velocity.tools.struts.ErrorsTool
 
escapeJavascript(String) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Backslash-escapes the following characters from the input string: ", ', \, \r, \n.
exist() - Method in class org.apache.velocity.tools.struts.ActionMessagesTool
Returns true if there are action messages queued, otherwise false.
exist(String) - Method in class org.apache.velocity.tools.struts.ActionMessagesTool
Returns true if there are action messages queued for the specified category of messages, otherwise false.
exists(String) - Method in class org.apache.velocity.tools.struts.MessageTool
Checks if a message string for a specified message key exists for the user's locale.
exists(String, String) - Method in class org.apache.velocity.tools.struts.MessageTool
Checks if a message string for a specified message key exists for the user's locale.
exists() - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
Checks for the existence of the key that we've built up.

F

FormTool - Class in org.apache.velocity.tools.struts
View tool to work with HTML forms in Struts.
FormTool() - Constructor for class org.apache.velocity.tools.struts.FormTool
 

G

get(String) - Method in class org.apache.velocity.tools.struts.ActionMessagesTool
Returns the set of localized action messages as an java.util.List of strings for all actionMsgs queued of the specified category or null if no messages are queued for the specified category.
get(String, String) - Method in class org.apache.velocity.tools.struts.ActionMessagesTool
Returns the set of localized action messages as a java.util.List of strings for all action messages queued of the specified category or null if no action messages are queued for the specified category.
get(String) - Method in class org.apache.velocity.tools.struts.MessageTool
Looks up and returns the localized message for the specified key.
get(String, String) - Method in class org.apache.velocity.tools.struts.MessageTool
Looks up and returns the localized message for the specified key.
get(String, Object[]) - Method in class org.apache.velocity.tools.struts.MessageTool
Looks up and returns the localized message for the specified key.
get(String, String, Object[]) - Method in class org.apache.velocity.tools.struts.MessageTool
Looks up and returns the localized message for the specified key.
get(String, String, Object[], Locale) - Method in class org.apache.velocity.tools.struts.MessageTool
Looks up and returns the localized message for the specified key.
get(String, List) - Method in class org.apache.velocity.tools.struts.MessageTool
Same as MessageTool.get(String key, Object[] args), but takes a java.util.List instead of an array.
get(String, String, List) - Method in class org.apache.velocity.tools.struts.MessageTool
Same as MessageTool.get(String key, Object[] args), but takes a java.util.List instead of an array.
get(String, String, List, Locale) - Method in class org.apache.velocity.tools.struts.MessageTool
Looks up and returns the localized message for the specified key.
get(String) - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
Appends a period and the new key to the current key and returns a new TextKey instance with the combined result as its key.
get(String) - Method in class org.apache.velocity.tools.struts.StrutsLinkTool
This exists to enable a simplified syntax for using this tool in a template.
get(Object) - Method in class org.apache.velocity.tools.struts.TilesTool
A generic tiles insert function.
getActionForm(HttpServletRequest, HttpSession) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns the ActionForm bean associated with this request of null if none exists.
getActionFormName(HttpServletRequest, HttpSession) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns the ActionForm name associated with this request of null if none exists.
getActionMappingName(String) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Return the form action converted into an action mapping path.
getActionMappingURL(ServletContext, HttpServletRequest, String) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns the form action converted into a server-relative URI reference.
getActionMessages() - Method in class org.apache.velocity.tools.struts.ActionMessagesTool
 
getActionMessages() - Method in class org.apache.velocity.tools.struts.ErrorsTool
 
getAll() - Method in class org.apache.velocity.tools.struts.ActionMessagesTool
Returns the set of localized action messages as an java.util.List of strings for all actionMsgs queued or null if no messages are queued.
getAll(String) - Method in class org.apache.velocity.tools.struts.ActionMessagesTool
Returns a List of all queued action messages using the specified message resource bundle.
getAttribute(String) - Method in class org.apache.velocity.tools.struts.TilesTool
Fetches a named attribute-value from the current tiles-context.
getBean() - Method in class org.apache.velocity.tools.struts.FormTool
Returns the form bean associated with this action mapping.
getCancelName() - Method in class org.apache.velocity.tools.struts.FormTool
Returns the query parameter name under which a cancel button press must be reported if form validation is to be skipped.
getCdata() - Method in class org.apache.velocity.tools.struts.ValidatorTool
Returns the cdata setting "true" or "false".
getCurrentContext() - Method in class org.apache.velocity.tools.struts.TilesTool
Retrieve the current tiles component context.
getDynamicJavascript() - Method in class org.apache.velocity.tools.struts.ValidatorTool
Render just the dynamic JavaScript to perform validations based on the form name attribute of the action mapping associated with the current request (if such exists).
getDynamicJavascript(String) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Render just the dynamic JavaScript to perform validations based on the supplied form name.
getDynamicJavascript(ValidatorResources, Locale, Form) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Generates the dynamic JavaScript for the form.
getErrors(HttpServletRequest) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns the Struts errors for this request or null if none exist.
getExists() - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
Convenience method to allow $text.key.exists syntax.
getForwardURL(HttpServletRequest, ServletContext, String) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns the action forward name converted into a server-relative URI reference.
getGlobal() - Method in class org.apache.velocity.tools.struts.ActionMessagesTool
This a convenience method and the equivalent of $messages.get($messages.globalName).
getGlobalName() - Method in class org.apache.velocity.tools.struts.ActionMessagesTool
Returns the default "GLOBAL" category name that can be used for messages that are not associated with a particular property.
getHtmlComment() - Method in class org.apache.velocity.tools.struts.ValidatorTool
Gets whether or not to delimit the JavaScript with html comments.
getInstance() - Method in class org.apache.velocity.tools.struts.StrutsUtils
 
getJavascript() - Method in class org.apache.velocity.tools.struts.ValidatorTool
Render both dynamic and static JavaScript to perform validations based on the form name attribute of the action mapping associated with the current request (if such exists).
getJavascript(String) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Render both dynamic and static JavaScript to perform validations based on the supplied form name.
getJavascript(String, boolean) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Render both dynamic and static JavaScript to perform validations based on the supplied form name.
getJavascriptBegin(String) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Returns the opening script element and some initial javascript.
getJavascriptEnd() - Method in class org.apache.velocity.tools.struts.ValidatorTool
Returns the closing script element.
getJavascriptStaticMethods(ValidatorResources) - Method in class org.apache.velocity.tools.struts.ValidatorTool
 
getLocale() - Method in class org.apache.velocity.tools.struts.MessageResourcesTool
Retrieves the Locale for this request.
getLocale(HttpServletRequest, HttpSession) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns the java.util.Locale for the user.
getMessageResources(HttpServletRequest, ServletContext) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns the message resources for this application or null if not found.
getMessageResources(HttpServletRequest, ServletContext, String) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns the message resources with the specified bundle name for this application or null if not found.
getMessages(HttpServletRequest) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns the Struts messages for this request or null if none exist.
getMethod() - Method in class org.apache.velocity.tools.struts.ValidatorTool
Gets the method name that will be used for the Javascript validation method name if it has a value.
getMsgs() - Method in class org.apache.velocity.tools.struts.ErrorsTool
Renders the queued error messages as a list.
getMsgs(String) - Method in class org.apache.velocity.tools.struts.ErrorsTool
Renders the queued error messages of a particual category as a list.
getMsgs(String, String) - Method in class org.apache.velocity.tools.struts.ErrorsTool
Renders the queued error messages of a particual category as a list.
getName() - Method in class org.apache.velocity.tools.struts.FormTool
Returns the form bean name associated with this action mapping.
getPage() - Method in class org.apache.velocity.tools.struts.ValidatorTool
Gets the current page number of a multi-part form.
getResources(String) - Method in class org.apache.velocity.tools.struts.MessageResourcesTool
Retrieves the specified MessageResources bundle, or the application's default MessageResources if no bundle is specified.
getSize() - Method in class org.apache.velocity.tools.struts.ActionMessagesTool
Returns the number of action messages queued.
getSize(String) - Method in class org.apache.velocity.tools.struts.ActionMessagesTool
Returns the number of action messages queued for a particular property.
getSrc() - Method in class org.apache.velocity.tools.struts.ValidatorTool
Gets the src attribute's value when defining the html script element.
getStaticJavascript() - Method in class org.apache.velocity.tools.struts.ValidatorTool
Render just the static JavaScript methods.
getToken() - Method in class org.apache.velocity.tools.struts.FormTool
Returns the transaction control token for this session or null if no token exists.
getToken(HttpSession) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Returns the transaction token stored in this session or null if not used.
getTokenName() - Method in class org.apache.velocity.tools.struts.FormTool
Returns the query parameter name under which a transaction token must be reported.

I

importAttribute(String) - Method in class org.apache.velocity.tools.struts.TilesTool
Imports the named attribute-value from the current tiles-context into the current Velocity context.
importAttribute(String, String) - Method in class org.apache.velocity.tools.struts.TilesTool
Imports the named attribute-value from the current tiles-context into the named context ("page", "request", "session", or "application").
importAttributes() - Method in class org.apache.velocity.tools.struts.TilesTool
Imports all attributes in the current tiles-context into the current velocity-context.
importAttributes(String) - Method in class org.apache.velocity.tools.struts.TilesTool
Imports all attributes in the current tiles-context into the named context ("page", "request", "session", or "application").
init(Object) - Method in class org.apache.velocity.tools.struts.FormTool
Deprecated. 
init(Object) - Method in class org.apache.velocity.tools.struts.MessageResourcesTool
Deprecated. 
init(Object) - Method in class org.apache.velocity.tools.struts.TilesTool
Deprecated. 
init(Object) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Deprecated. 
insert(Object) - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
Returns a new TextKey with the specified argument to be inserted into the text output.
insert(Object, Object) - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
Returns a new TextKey with the specified arguments to be inserted into the text output.
insert(Object, Object, Object) - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
Returns a new TextKey with the specified arguments to be inserted into the text output.
insert(List) - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
Returns a new TextKey with the specified List of arguments to be inserted into the text output.
insert(Object[]) - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
Returns a new TextKey with the specified array of arguments to be inserted into the text output.
INSTANCE - Static variable in class org.apache.velocity.tools.struts.StrutsUtils
 

J

jsFormName - Variable in class org.apache.velocity.tools.struts.ValidatorTool
formName is used for both Javascript and non-javascript validations.

L

locale(Locale) - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
Returns a new TextKey with the specified resource bundle set.
LOG - Variable in class org.apache.velocity.tools.struts.MessageResourcesTool
 

M

MessageResourcesTool - Class in org.apache.velocity.tools.struts
Abstract view tool that provides access to Struts' message resources.
MessageResourcesTool() - Constructor for class org.apache.velocity.tools.struts.MessageResourcesTool
 
MessageTool - Class in org.apache.velocity.tools.struts
The MessageTool is used to render internationalized message strings.
MessageTool() - Constructor for class org.apache.velocity.tools.struts.MessageTool
 
MessageTool.TextKey - Class in org.apache.velocity.tools.struts
Helper class to simplify tool usage when retrieving no-arg messages from the default bundle that have periods in their key.
MessageTool.TextKey(String, String, Object[], Locale) - Constructor for class org.apache.velocity.tools.struts.MessageTool.TextKey
 

O

org.apache.velocity.tools.struts - package org.apache.velocity.tools.struts
VelocityStruts contains view tools for integrating Velocity with the Apache Struts 1 framework by providing easy access to Struts resources from within Velocity templates.

P

popTilesContext() - Method in class org.apache.velocity.tools.struts.TilesTool
Pops the tiles sub-context off the context-stack after the lower level tiles have been rendered.
processAsDefinitionOrURL(String) - Method in class org.apache.velocity.tools.struts.TilesTool
Try to process name as a definition, or as an URL if not found.
processDefinition(ComponentDefinition) - Method in class org.apache.velocity.tools.struts.TilesTool
End of Process for definition.
processObjectValue(Object) - Method in class org.apache.velocity.tools.struts.TilesTool
Process an object retrieved as a bean or attribute.
processTypedAttribute(AttributeDefinition) - Method in class org.apache.velocity.tools.struts.TilesTool
Process typed attribute according to its type.
processUrl(String) - Method in class org.apache.velocity.tools.struts.TilesTool
Processes an url
pushTilesContext() - Method in class org.apache.velocity.tools.struts.TilesTool
pushes the current tiles context onto the context-stack.

R

request - Variable in class org.apache.velocity.tools.struts.FormTool
A reference to the HtttpServletRequest.
request - Variable in class org.apache.velocity.tools.struts.MessageResourcesTool
 
request - Variable in class org.apache.velocity.tools.struts.ValidatorTool
A reference to the HttpServletRequest.
resources - Variable in class org.apache.velocity.tools.struts.ValidatorTool
A reference to the ValidatorResources.

S

SecureLinkTool - Class in org.apache.velocity.tools.struts
Tool to be able to use Struts SSL Extensions with Velocity.
SecureLinkTool() - Constructor for class org.apache.velocity.tools.struts.SecureLinkTool
 
selectModule(String, ServletContext) - Static method in class org.apache.velocity.tools.struts.StrutsUtils
Select the module to which the specified request belongs, and add return the corresponding ModuleConfig.
session - Variable in class org.apache.velocity.tools.struts.FormTool
A reference to the HtttpSession.
session - Variable in class org.apache.velocity.tools.struts.ValidatorTool
A reference to the HttpSession.
setAction(String) - Method in class org.apache.velocity.tools.struts.SecureLinkTool
Returns a copy of the link with the given action name converted into a server-relative URI reference.
setAction(String) - Method in class org.apache.velocity.tools.struts.StrutsLinkTool
Returns a copy of the link with the given action name converted into a server-relative URI reference.
setCatchExceptions(boolean) - Method in class org.apache.velocity.tools.struts.TilesTool
 
setCdata(boolean) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Sets the cdata status.
setForward(String) - Method in class org.apache.velocity.tools.struts.SecureLinkTool
Returns a copy of the link with the given global forward name converted into a server-relative URI reference.
setForward(String) - Method in class org.apache.velocity.tools.struts.StrutsLinkTool
Returns a copy of the link with the given global or local forward name converted into a server-relative URI reference.
setHtmlComment(boolean) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Sets whether or not to delimit the JavaScript with html comments.
setMethod(String) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Sets the method name that will be used for the Javascript validation method name if it has a value.
setPage(int) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Sets the current page number of a multi-part form.
setRequest(HttpServletRequest) - Method in class org.apache.velocity.tools.struts.FormTool
Initializes this tool.
setSrc(String) - Method in class org.apache.velocity.tools.struts.ValidatorTool
Sets the src attribute's value (used to include an external script resource) when defining the html script element.
setVelocityContext(Context) - Method in class org.apache.velocity.tools.struts.TilesTool
Initializes this tool.
StrutsLinkTool - Class in org.apache.velocity.tools.struts
The StrutsLinkTool extends the standard LinkTool to add methods for working with Struts' Actions and Forwards:
StrutsLinkTool() - Constructor for class org.apache.velocity.tools.struts.StrutsLinkTool
 
StrutsUtils - Class in org.apache.velocity.tools.struts
A utility class to expose the Struts shared resources.

T

TilesTool - Class in org.apache.velocity.tools.struts
The TilesTool is used to interact with the Struts-Tiles framework that is part of Struts 1.
TilesTool() - Constructor for class org.apache.velocity.tools.struts.TilesTool
 
toEncoded(String, String) - Method in class org.apache.velocity.tools.struts.SecureLinkTool
Return the specified URL with the specified session identifier suitably encoded.
toString() - Method in class org.apache.velocity.tools.struts.MessageTool.TextKey
Renders the text output according to the collected key value, bundle, and arguments.

V

ValidatorTool - Class in org.apache.velocity.tools.struts
View tool that works with Struts Validator to produce client side javascript validation for your forms.
ValidatorTool() - Constructor for class org.apache.velocity.tools.struts.ValidatorTool
 
velocityContext - Variable in class org.apache.velocity.tools.struts.TilesTool
 

A B C D E F G I J L M O P R S T V

Copyright © 2002-2011 The Apache Software Foundation. All Rights Reserved.